{#
    POSSIBLE LAYOUT VALUES:
    "carousel"
    "list"
#}

<div class="sdg-plugin{% if layout.value == 'carousel' %} carousel{% endif %}">
    {% if layout.value == "list" %}
        <div class="sdg-plugin__list">
            {% for sdg in sustainability_goals|sort(attribute='id') %}
                <div class="sdg-plugin__list__sdg">
                    <button type="button" class="sdg-plugin__list__sdg__btn" data-container="body" data-toggle="popover" data-placement="top" title="{{ sdg.name }}" data-content="{{ sdg.description }}" data-trigger="focus">
                        {% if sdg.image %}
                            {{ lazy_img_image(sdg.image.url, "", "") }}
                        {% else %}
                            {{ sdg.name }}
                        {% endif %}
                    </button>
                </div>
            {% endfor %}
        </div>
    {% elif layout.value == "carousel" %}
        <div class="sdg-plugin__carousel glide">
            <div class="glide__track" data-glide-el="track">
                <ul class="glide__slides">
                    {% for sdg in sustainability_goals|sort(attribute='id') %}
                        <li class="glide__slide">
                            {# TODO: proper url #}
                            <a href="/sdg/">
                                {% if sdg.image %}
                                    {{ lazy_img_image(sdg.image.url, "", "") }}
                                {% else %}
                                    {{ sdg.name }}
                                {% endif %}
                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
            <div class="glide__controls" data-glide-el="controls">
                <button class="glide__controls__back" data-glide-dir="<" aria-label="{% trans %}Previous{% endtrans %}">
                    {{ lazy_img_image(shuup_static('canvas/img/icons/icon-arrow-left.svg'), "", "") }}
                </button>
                <button class="glide__controls__next" data-glide-dir=">" aria-label="{% trans %}Next{% endtrans %}">
                    {{ lazy_img_image(shuup_static('canvas/img/icons/icon-arrow-right.svg'), "", "") }}
                </button>
            </div>
        </div>
    {% endif %}
    {% if url %}
        <a href="{{ url }}" target="_blank" class="learn-more-text-btn">
            {% trans %}Learn more on the UN Website{% endtrans %}{{ lazy_img_image(shuup_static('canvas/img/icons/icon-redirect.svg'), "", "") }}
        </a>
    {% endif %}
</div>
